Voices

Create voice

voices.create(body: VoiceCreateParams): Promise<Voice>
POST
/v1/ai/voice

Submits a request to create a voice with a supplied voice configuration and a batch of input audio data.

Retrieve voice

voices.retrieve(id: string): Promise<Voice>
GET
/v1/ai/voice/{id}

Returns details of a specific voice.

Update voice

voices.update(id: string, body: VoiceUpdateParams): Promise<VoiceUpdateResponse>
PUT
/v1/ai/voice/{id}

Updates metadata for a specific voice. Only provided fields will be changed.

Delete voice

voices.delete(id: string): Promise<VoiceDeleteResponse>
DELETE
/v1/ai/voice/{id}

Deletes a voice and cancels any pending operations on it. Cannot be undone.

List voices

voices.list(query?: VoiceListParams): Promise<Array<Voice>>
GET
/v1/ai/voice/list

Returns a list of voices available to you.

Models


class Voice: …